### Function

# Gcr trust_is_certificate_anchored

#### Declaration [src]

    gboolean
    gcr_trust_is_certificate_anchored (
      GcrCertificate* certificate,
      const gchar* purpose,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Check if the `certificate` is a trust anchor for the given `purpose`. A trust anchor is used to verify the signatures on other certificates when verifying a certificate chain. Also known as a trusted certificate authority.

This call may block, see `gcr_trust_is_certificate_anchored_async()` for the non-blocking version.

In the case of an error, `FALSE` is also returned. Check `error` to detect if an error occurred.

#### Parameters

`certificate`

  Type: `GcrCertificate`

  A `GcrCertificate` to check.

  The data is owned by the caller of the function.

`purpose`

  Type: `const gchar*`

  The purpose string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the certificate is a trust anchor.